package com.yd.dal.service.meta;

import com.yd.dal.entity.meta.MdTagNew;

import java.util.List;

/**
 * @author xxy
 */
public interface MdTagNewDALService {
    List<MdTagNew> selectByIsActive(Long isActive,Long configLevel,Long upperTagId,String tagName,Long tagType);

    void insert(MdTagNew mdTagNew);

    void updateByPrimaryKeySelective(MdTagNew mdTagNew);

    MdTagNew selectByPrimaryKey(Long id);
    
    List<MdTagNew> selectByConfigLevelAndtagType(Long configLevel, Long tagType);
    
    List<MdTagNew> selectByIdOrTagName(Long isActive,String tagName,Long tagType,Long id);
}
